local size = 50
local height_increment = 3

local function place_tree(pos)
    local set = {}
    local iled = 0
    for iy = 0, size - 1 do
        for ix = iy, size - 1 - iy do
            for iz = iy, size - 1 - iy do
                for h = 0, height_increment - 1 do
                    table.insert(set, {x = pos.x + ix, y = pos.y + iy * height_increment + h, z = pos.z + iz})
                    iled = iled + 1

                end
            end
        end
    end
    minetest.bulk_set_node(set, {name = "ledtree:pine_needles"})
end

core.register_node("ledtree:ledtree", {
    description = "Place LED tree",
    on_construct = function(pos)
        place_tree(pos)
    end,
})

core.register_node("ledtree:pine_needles", {
    description = "Pine Needles",
    paramtype = "light",
    tiles = {"pine_needles.png"},
})
